<?php

use App\Http\Controllers\Api\ApiSakuController;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "api" middleware group. Make something great!
|
*/

Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
    return $request->user();
});

Route::get('/saku/{tahun}', [ApiSakuController::class, 'index']);
Route::get('/saku1', [ApiSakuController::class, 'saku1']);
Route::get('/saku1/{tahun}', [ApiSakuController::class, 'index1']);
